
Foreman - Feature #4134

Allow non-digit characters in version numbers

01/20/2014 02:56 PM - Frank Wall

Status: New   

Priority: Normal   

Assignee:    

Category: Facts   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Recently Foreman added support for various operating systems with unusual version numbering schemes. What makes them

unusual is the use of non-digit characters. Foreman should natively support such version numbers.

FreeBSD

kernel => FreeBSD

kernelmajversion => 9.2

kernelrelease => 9.2-RELEASE-p3

kernelversion => 9.2

operatingsystem => FreeBSD

operatingsystemrelease => 9.2-RELEASE-p3

osfamily => FreeBSD

 

Junos

kernel => JUNOS

kernelmajversion => 12.3R2

kernelrelease => 12.3R2.5

kernelversion => 12.3R2.5

operatingsystem => JUNOS

operatingsystemrelease => 12.3R2.5

osfamily => JUNOS

 

Related issues:

Related to Foreman - Bug #3295: Solaris release version problems with Facter ... New 10/16/2013

Related to Foreman - Bug #8993: FreeBSD patch releases get converted in a wro... Closed 01/16/2015

History

#1 - 01/20/2014 03:03 PM - Frank Wall

This is also true for AIX, see #2372.

AIX

kernel => AIX

kernelmajversion => 7100
kernelrelease => 7100-02-02-1316

kernelversion => 7100

operatingsystem => AIX

operatingsystemrelease => 7100-02-02-1316

osfamily => AIX

#2 - 02/17/2014 02:32 PM - Dominic Cleal

- Category set to Facts

- translation missing: en.field_release deleted (4)

#3 - 02/28/2014 05:55 PM - Anonymous

- Related to Bug #3295: Solaris release version problems with Facter >= 1.7 added

#4 - 01/16/2015 06:36 AM - Anonymous

- Related to Bug #8993: FreeBSD patch releases get converted in a wrong way added
